Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter
Class NewDriver

    java.lang.Object
      org.apache.jmeter.NewDriver

public final class NewDriver
extends Object

Main class for JMeter - sets up initial classpath and the loader.

Method Summary
`static void` | `addPath(String path)` Add a directory or jar to the loader and system classpaths.
`static void` | `addURL(String path)` Add a URL to the loader classpath only; does not update the system classpath.
`static void` | `addURL(URL url)` Add a URL to the loader classpath only; does not update the system classpath.
`static String` | `getJMeterDir()` Get the directory where JMeter is installed.
`static void` | `main(String[] args)` The main program which actually runs JMeter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addURL

    public static void addURL(String path)

  Add a URL to the loader classpath only; does not update the system classpath.

  Parameters:
    `path` - to be added.

### addURL

    public static void addURL(URL url)

  Add a URL to the loader classpath only; does not update the system classpath.

  Parameters:
    `url` -

### addPath

    public static void addPath(String path)
                        throws MalformedURLException

  Add a directory or jar to the loader and system classpaths.

  Parameters:
    `path` - to add to the loader and system classpath
  Throws:
    `MalformedURLException`

### getJMeterDir

    public static String getJMeterDir()

  Get the directory where JMeter is installed. This is the absolute path name.

  Returns:
    the directory where JMeter is installed.

### main

    public static void main(String[] args)

  The main program which actually runs JMeter.

  Parameters:
    `args` - the command line arguments

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.